现在的位置: 首页 > IT运维 > 正文

iPhone开发之Base SDK Missing错误及解决办法

2011年05月17日 IT运维 ⁄ 共 493字 暂无评论 ⁄ 被围观 5+

iPhone开发之Base SDK Missing错误及解决办法 是本文要介绍的内容,Apple 6月22日 Release iPhone SDK 4 Final 版,当很多朋友安装完之后,发现老的sdk没了.被替换成最新版本的sdk了,并且打开老项目时提示错误。

iPhone SDK 4 里面包含了 Xcode 3.2.3,安装完后,如果你之前有装 iPhone SDK 旧版本,会被移除。当你编译之前的 iPhone project 一定会看到这个错误讯息:Base SDK Missing

难道是 Apple 要强迫大家 iPhone 升级到 iOS 4,不是的,别紧张。用 iPhone SDK 4 就可以编译出旧的 iPhone OS 3.0 就可以执行的执行档。只要如下面改一下设定:

Base SDK 选 iPhone Device 4.0

iPhone OS Deployment Target 选 iPhone OS 3.0 或是更早的版本。

然后这样编译出来程序,就可以在非 iOS 4.0 的手机上执行。

如果你一直卡在这个问题上,还在你的 Mac 计算机上,同时装两套不同版本的 iPhone SDK,那我要跟你 Charge,这个可是我 Try 好久才找出来的解法。收多少? $ 0.99 就好。

给我留言

您必须 [ 登录 ] 才能发表留言!

×
#